<?php
 namespace VnChocola\Module\Api;
 use TCMS\Module;
 use Route;
 use Model;
 use LayoutData;
 class Newcars extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/new-cars', 'IndexController', 'getList')->name('index');
 Route::get('/new-cars/{id}', 'IndexController', 'find')->name('find');
 Route::post('/new-cars/create', 'IndexController', 'create')->name('create');
 Route::post('/new-cars/update', 'IndexController', 'update')->name('update');
 Route::post('/new-cars/delete', 'IndexController', 'delete')->name('delete');
 Route::post('/new-cars/searchFrm','IndexController','searchFrm')->name('searchFrm');
 }
 public function registerComponent() {
 Model::add('NewCarsModel', \VnChocola\Model\NewCarsModel::class, true);
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 }
 }
